## org.eclipse.mtj.example.library.internal
Class NonAccessibleLibraryClass

    java.lang.Object
      org.eclipse.mtj.example.library.internal.NonAccessibleLibraryClass

    public class NonAccessibleLibraryClass

extends java.lang.Object

This class is used as an example of the use of AccessRules to limit the access to classes from outside the library bundle.

The class shouldn'd be accessed from outside the library bundle.

Author:
  Diego Madruga Sandin

Constructor Summary
`NonAccessibleLibraryClass()` Creates a new Instance of NonAccessibleLibraryClass

Method Summary
`java.lang.String` `NonAccessibleMethod()` A non accessible method from outside the library bundle.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonAccessibleLibraryClass

    public NonAccessibleLibraryClass()

  Creates a new Instance of NonAccessibleLibraryClass

Method Detail

### NonAccessibleMethod

    public java.lang.String NonAccessibleMethod()

  A non accessible method from outside the library bundle.

  Returns:
    the `"You should not use this method."` string.